% Parameter
F     = @(x) [x(1).^2 + x(2) - 2.;x(2).*exp(x(1)) - 2.];
RTOL  = 1e-5;
ATOL  = 1e-7;
DF    = @(x) [2*x(1) , 1 ; x(2).*exp(x(1)) , exp(x(1))];
nMax  = 100;

nsample = 50;
x0      = linspace(-0.2,1.5,nsample);
y0      = linspace(0.5,2.2,nsample);

% Loesungen
x1 = [0;2];
x2 = [1.176001;0.617019];

for j = 1:nsample
  for k = 1:nsample
    x0vec = [x0(j);y0(k)];
    x     = newton(x0vec,F,DF,nMax,ATOL,RTOL);
    if norm(x-x1) < nsample*(ATOL + RTOL*norm(x))
      scatter(x0vec(1),x0vec(2),10,'b','filled');
    elseif norm(x-x2) < nsample*(ATOL + RTOL*norm(x))
      scatter(x0vec(1),x0vec(2),10,'r','filled');
    else
      scatter(x0vec(1),x0vec(2),10,'k','filled');
    end
    hold on
  end
end

axis([x0(1) x0(end) y0(1) y0(end)])
